/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.dto.planTask;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
* Restful接口--资源详情--数据传输对象：计划执行任务表
*
* createdate:  2022-12-06 11:32:05  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "计划执行任务表")
public class AtuPlanTaskDetailDto implements Serializable
{
    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 脚本名称
     */
    private String scriptName;

    /**
     * 版本名称
     */
    private String versionName;

    /**
     * 引擎ip
     */
    private String engineIp;

    /**
     * 用例ID
     */
    private String caseId;

    /**
     * 用例编号
     */
    private String caseNo;

    /**
     * 用例名称
     */
    private String caseName;

    /**
     * 用例类型
     */
    private String caseType;

    /**
     * 执行结果 2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时
     */
    private String execResult;

    /**
     * 错误信息
     */
    private String errorMsg;

    /**
     * 视频地址
     */
    private String videoUrl;

    /**
     * 用例数据
     */
    private List<AtuVariableDto> caseParams;

    /**
     * 步骤列表
     */
    private List<TaskCaseStepDetailDto> steps;

    /**
     * 设备信息
     */
    private List<Map<String, Object>> deviceInfoList;

    @ApiModelProperty("视频地址")
    private List<SceneNodeDto> sceneData;

    @ApiModelProperty("缺陷跳转ip")
    private String hostStr;

    public String getHostStr() {
        return hostStr;
    }

    public void setHostStr(String hostStr) {
        this.hostStr = hostStr;
    }

    public List<SceneNodeDto> getSceneData() {
        return sceneData;
    }

    public void setSceneData(List<SceneNodeDto> sceneData) {
        this.sceneData = sceneData;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId;
    }

    public String getCaseNo() {
        return caseNo;
    }

    public void setCaseNo(String caseNo) {
        this.caseNo = caseNo;
    }

    public String getCaseName() {
        return caseName;
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }

    public String getCaseType() {
        return caseType;
    }

    public String getEngineIp() {
        return engineIp;
    }

    public void setEngineIp(String engineIp) {
        this.engineIp = engineIp;
    }

    public void setCaseType(String caseType) {
        this.caseType = caseType;
    }

    public String getExecResult() {
        return execResult;
    }

    public void setExecResult(String execResult) {
        this.execResult = execResult;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public List<AtuVariableDto> getCaseParams() {
        return caseParams;
    }

    public void setCaseParams(List<AtuVariableDto> caseParams) {
        this.caseParams = caseParams;
    }

    public List<TaskCaseStepDetailDto> getSteps() {
        return steps;
    }

    public void setSteps(List<TaskCaseStepDetailDto> steps) {
        this.steps = steps;
    }

    public List<Map<String, Object>> getDeviceInfoList() {
        return deviceInfoList;
    }

    public void setDeviceInfoList(List<Map<String, Object>> deviceInfoList) {
        this.deviceInfoList = deviceInfoList;
    }
}